Window movement key no longer works consistently

Bug #703755 reported by Matthew Gregg on 2011-01-17
42
This bug affects 5 people
Affects Status Importance Assigned to Milestone
compiz (Ubuntu)
Undecided
Sam Spilsbury
Natty
Undecided
Sam Spilsbury

Bug Description

Binary package hint: compiz

Recent updates to Natty have cause the window movement key to work inconsistently. It seems that if you have a window selected the movement key will not work on that window, but if you use it on an unselected window, it works.
---
.proc.driver.nvidia.version:
 NVRM version: NVIDIA UNIX x86_64 Kernel Module 260.19.29 Wed Dec 8 12:08:56 PST 2010
 GCC version: gcc version 4.5.2 (Ubuntu/Linaro 4.5.2-1ubuntu2)
Architecture: amd64
CompizPlugins: No value set for `/apps/compiz-1/general/allscreens/options/active_plugins'
CompositorRunning: compiz
DistUpgraded: Yes, recently upgraded Log time: 2010-07-13 14:23:23.520412
DistroCodename: natty
DistroRelease: Ubuntu 11.04
DistroVariant: ubuntu
DkmsStatus:
 virtualbox-ose, 3.2.12, 2.6.37-12-generic, x86_64: installed
 nvidia-current, 260.19.29, 2.6.37-12-generic, x86_64: installed
GraphicsCard: Subsystem: Device [196e:0593]
MachineType: HP-Pavilion NC692AA-ABA m9510f
NonfreeKernelModules: nvidia
Package: compiz 1:0.9.2.1+glibmainloop4-0ubuntu2
PackageArchitecture: all
ProcEnviron:
 LANGUAGE=en_US:en
 PATH=(custom, user)
 LANG=en_US.UTF-8
 LC_MESSAGES=en_US.utf8
 SHELL=/bin/zsh
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.37-12-generic root=UUID=061a3724-99c9-44de-8862-e5ec3942ab6c ro vt.handoff=7 quiet splash
ProcVersionSignature: Ubuntu 2.6.37-12.26-generic 2.6.37
Renderer: Hardware acceleration
Tags: natty natty ubuntu
Uname: Linux 2.6.37-12-generic x86_64
UnitySupportTest:

UserGroups: adm admin audio cdrom dialout lpadmin plugdev pulse pulse-access rtkit sambashare video
dmi.bios.date: 12/16/2008
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: 5.35
dmi.board.name: Benicia
dmi.board.vendor: PEGATRON CORPORATION
dmi.board.version: 1.01
dmi.chassis.asset.tag: Asset-1234567890
dmi.chassis.type: 3
dmi.chassis.vendor: Hewlett-Packard
dmi.chassis.version: Chassis Version
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvr5.35:bd12/16/2008:svnHP-Pavilion:pnNC692AA-ABAm9510f:pvr:rvnPEGATRONCORPORATION:rnBenicia:rvr1.01:cvnHewlett-Packard:ct3:cvrChassisVersion:
dmi.product.name: NC692AA-ABA m9510f
dmi.sys.vendor: HP-Pavilion
version.libdrm2: libdrm2 2.4.22-2ubuntu1
version.libgl1-mesa-glx: libgl1-mesa-glx 7.9+repack-1ubuntu3
version.xserver-xorg: xserver-xorg 1:7.5+6ubuntu7
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:6.13.2-1ubuntu2
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.13.901-2ubuntu2
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau N/A

Travis Watkins (amaranth) wrote :

Please run `apport-collect -p 703755` to attach relevant debug info so we can see what is going on. I cannot reproduce this bug locally.

Travis Watkins (amaranth) wrote :

Sorry, I meant `apport-collect 703755`. Silly typo.

Changed in compiz (Ubuntu):
status: New → Incomplete

apport information

tags: added: apport-collected natty ubuntu
description: updated

apport information

apport information

apport information

apport information

apport information

Matthew Gregg (mcg) wrote : Lspci.txt

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

Matthew Gregg (mcg) wrote :

Upon a fresh reboot, this seems to work correctly. After using the desktop for a while the behavior of this bug appears.

Travis Watkins (amaranth) wrote :

Ok, there is now another person having this same issue so I've marked it Confirmed.

Sam, this is probably caused by your button grab changes so I've assigned to you to look at it.

Changed in compiz (Ubuntu):
status: Incomplete → Confirmed
assignee: nobody → Sam "SmSpillaz" Spilsbury (smspillaz)

The problem with ALT is fixed with the update from today but now CTRL is broken and you can't switch desktop anymore with CTRL+Fn

Bogdan Butnaru (bogdanb) wrote :

Note that ALT works now, but the setting seems to be “hardwired”: no matter what I try to enter in the “Initiate Window Move” setting, it’s still <Alt>Button1 that seems to take effect.

However, if “Enable integration into the desktop environment” is enabled, the combination I pick gets replaced with <Alt>Button1 (visually, in the “Move Window” plugin) whenever I exit and re-enter the plugin. If the integration is disabled, the “Move Window” plugin always shows the combination I chose last. In practice it’s always <Alt>Button1 that takes effect.

Matthew Gregg (mcg) wrote :

This is not fix for me at all. Same bug behavior.

I agree, it's still broken. but I have a system where it works and another where it doesn't. Both are running an up to date version of Unity.

Matthew Gregg (mcg) wrote :

I am running "classic" with compiz enabled.

Henrik Nyberg (henrik-mysko) wrote :

Exact same issue here, using as of right now fully updated natty, and unity.

Anders Kaseorg (andersk) wrote :

I see this too. An additional related problem is that, when the “Opacity, Brightness and Saturation” is enabled, the Alt+Mousewheel shortcuts to increase and decrease opacity also only work on unfocused windows.

Henrik Nyberg (henrik-mysko) wrote :

The same problem appears when using <Ctrl><Alt>Button1 for cube rotation. It only triggers when you click outside the focused window. This bug disappeared for me while using a newly created user (for a clean configuration), but has since reappeared for that user as well. I haven't been able to pin down a specific configuration change that causes it, although I haven't made many changes in the compiz configuration.

Shouldn't this bug have a higher importance attached? It's quite highly visible and a very annoying problem. Moving and resizing windows with Alt+mouse is very widely used I believe.

Download full text (3.7 KiB)

On Thu, Feb 17, 2011 at 3:28 AM, Henrik Nyberg <email address hidden> wrote:
> The same problem appears when using <Ctrl><Alt>Button1 for cube
> rotation. It only triggers when you click outside the focused window.
> This bug disappeared for me while using a newly created user (for a
> clean configuration), but has since reappeared for that user as well. I
> haven't been able to pin down a specific configuration change that
> causes it, although I haven't made many changes in the compiz
> configuration.
>
> Shouldn't this bug have a higher importance attached? It's quite highly
> visible and a very annoying problem. Moving and resizing windows with
> Alt+mouse is very widely used I believe.

It is fixed in the latest updates.

>
> --
> You received this bug notification because you are a bug assignee.
> https://bugs.launchpad.net/bugs/703755
>
> Title:
>  Window movement key no longer works consistently
>
> Status in “compiz” package in Ubuntu:
>  Confirmed
> Status in “compiz” source package in Natty:
>  Confirmed
>
> Bug description:
>  Binary package hint: compiz
>
>  Recent updates to Natty have cause the window movement key to work inconsistently.  It seems that if you have a window selected the movement key will not work on that window, but if you use it on an unselected window, it works.
>  ---
>  .proc.driver.nvidia.version:
>   NVRM version: NVIDIA UNIX x86_64 Kernel Module  260.19.29  Wed Dec  8 12:08:56 PST 2010
>   GCC version:  gcc version 4.5.2 (Ubuntu/Linaro 4.5.2-1ubuntu2)
>  Architecture: amd64
>  CompizPlugins: No value set for `/apps/compiz-1/general/allscreens/options/active_plugins'
>  CompositorRunning: compiz
>  DistUpgraded: Yes, recently upgraded Log time: 2010-07-13 14:23:23.520412
>  DistroCodename: natty
>  DistroRelease: Ubuntu 11.04
>  DistroVariant: ubuntu
>  DkmsStatus:
>   virtualbox-ose, 3.2.12, 2.6.37-12-generic, x86_64: installed
>   nvidia-current, 260.19.29, 2.6.37-12-generic, x86_64: installed
>  GraphicsCard:   Subsystem: Device [196e:0593]
>  MachineType: HP-Pavilion NC692AA-ABA m9510f
>  NonfreeKernelModules: nvidia
>  Package: compiz 1:0.9.2.1+glibmainloop4-0ubuntu2
>  PackageArchitecture: all
>  ProcEnviron:
>   LANGUAGE=en_US:en
>   PATH=(custom, user)
>   LANG=en_US.UTF-8
>   LC_MESSAGES=en_US.utf8
>   SHELL=/bin/zsh
>  ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.37-12-generic root=UUID=061a3724-99c9-44de-8862-e5ec3942ab6c ro vt.handoff=7 quiet splash
>  ProcVersionSignature: Ubuntu 2.6.37-12.26-generic 2.6.37
>  Renderer: Hardware acceleration
>  Tags: natty natty ubuntu
>  Uname: Linux 2.6.37-12-generic x86_64
>  UnitySupportTest:
>
>  UserGroups: adm admin audio cdrom dialout lpadmin plugdev pulse pulse-access rtkit sambashare video
>  dmi.bios.date: 12/16/2008
>  dmi.bios.vendor: American Megatrends Inc.
>  dmi.bios.version: 5.35
>  dmi.board.name: Benicia
>  dmi.board.vendor: PEGATRON CORPORATION
>  dmi.board.version: 1.01
>  dmi.chassis.asset.tag: Asset-1234567890
>  dmi.chassis.type: 3
>  dmi.chassis.vendor: Hewlett-Packard
>  dmi.chassis.version: Chassis Version
>  dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvr5.35:bd12/16/2008:svnHP-Pavilion:pnNC692AA-ABAm9510f:pvr:rvnPEGATRONCORPORATION...

Read more...

Anders Kaseorg (andersk) wrote :

No, it’s not. I have all current updates and I still see the problem. It’s just always been inconsistent; for example, sometimes it works when there’s only one window on the screen. Keep this in mind before reporting that it’s fixed.

Sam Spilsbury (smspillaz) wrote :
Download full text (3.4 KiB)

On Thu, Feb 17, 2011 at 12:21 PM, Anders Kaseorg <email address hidden> wrote:
> No, it’s not.  I have all current updates and I still see the problem.
> It’s just always been inconsistent; for example, sometimes it works when
> there’s only one window on the screen.  Keep this in mind before
> reporting that it’s fixed.
>

Ah right. What I meant to say is that it is fixed locally for me -
perhaps this has not been packaged yet.

> --
> You received this bug notification because you are a bug assignee.
> https://bugs.launchpad.net/bugs/703755
>
> Title:
>  Window movement key no longer works consistently
>
> Status in “compiz” package in Ubuntu:
>  Confirmed
> Status in “compiz” source package in Natty:
>  Confirmed
>
> Bug description:
>  Binary package hint: compiz
>
>  Recent updates to Natty have cause the window movement key to work inconsistently.  It seems that if you have a window selected the movement key will not work on that window, but if you use it on an unselected window, it works.
>  ---
>  .proc.driver.nvidia.version:
>   NVRM version: NVIDIA UNIX x86_64 Kernel Module  260.19.29  Wed Dec  8 12:08:56 PST 2010
>   GCC version:  gcc version 4.5.2 (Ubuntu/Linaro 4.5.2-1ubuntu2)
>  Architecture: amd64
>  CompizPlugins: No value set for `/apps/compiz-1/general/allscreens/options/active_plugins'
>  CompositorRunning: compiz
>  DistUpgraded: Yes, recently upgraded Log time: 2010-07-13 14:23:23.520412
>  DistroCodename: natty
>  DistroRelease: Ubuntu 11.04
>  DistroVariant: ubuntu
>  DkmsStatus:
>   virtualbox-ose, 3.2.12, 2.6.37-12-generic, x86_64: installed
>   nvidia-current, 260.19.29, 2.6.37-12-generic, x86_64: installed
>  GraphicsCard:   Subsystem: Device [196e:0593]
>  MachineType: HP-Pavilion NC692AA-ABA m9510f
>  NonfreeKernelModules: nvidia
>  Package: compiz 1:0.9.2.1+glibmainloop4-0ubuntu2
>  PackageArchitecture: all
>  ProcEnviron:
>   LANGUAGE=en_US:en
>   PATH=(custom, user)
>   LANG=en_US.UTF-8
>   LC_MESSAGES=en_US.utf8
>   SHELL=/bin/zsh
>  ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.37-12-generic root=UUID=061a3724-99c9-44de-8862-e5ec3942ab6c ro vt.handoff=7 quiet splash
>  ProcVersionSignature: Ubuntu 2.6.37-12.26-generic 2.6.37
>  Renderer: Hardware acceleration
>  Tags: natty natty ubuntu
>  Uname: Linux 2.6.37-12-generic x86_64
>  UnitySupportTest:
>
>  UserGroups: adm admin audio cdrom dialout lpadmin plugdev pulse pulse-access rtkit sambashare video
>  dmi.bios.date: 12/16/2008
>  dmi.bios.vendor: American Megatrends Inc.
>  dmi.bios.version: 5.35
>  dmi.board.name: Benicia
>  dmi.board.vendor: PEGATRON CORPORATION
>  dmi.board.version: 1.01
>  dmi.chassis.asset.tag: Asset-1234567890
>  dmi.chassis.type: 3
>  dmi.chassis.vendor: Hewlett-Packard
>  dmi.chassis.version: Chassis Version
>  dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvr5.35:bd12/16/2008:svnHP-Pavilion:pnNC692AA-ABAm9510f:pvr:rvnPEGATRONCORPORATION:rnBenicia:rvr1.01:cvnHewlett-Packard:ct3:cvrChassisVersion:
>  dmi.product.name: NC692AA-ABA m9510f
>  dmi.sys.vendor: HP-Pavilion
>  version.libdrm2: libdrm2 2.4.22-2ubuntu1
>  version.libgl1-mesa-glx: libgl1-mesa-glx 7.9+repack-1ubuntu3
>  version.xserver-xorg: xserver-xorg 1:7.5+6ubuntu7
>  version.xs...

Read more...

Didier Roche (didrocks) wrote :

Yeah Sam, it's waiting for your tarball :)
tip: setting as fix commited to track them easier ;)

Changed in compiz (Ubuntu Natty):
status: Confirmed → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package compiz - 1:0.9.4-0ubuntu1

---------------
compiz (1:0.9.4-0ubuntu1) natty; urgency=low

  * New upstream release:
    - Fix no windows receiving the focus if someone got the focus then was
      destroyed
    - Fix crash when resizing using keybindings
    - Fix unresponsive inactive decorations (LP: #703755)
    - Fix the long awaited gconf crash (LP: #691561)
    - gtk-window-decorator doesn't respect special decoration styles
      (LP: #290835)
  * debian/compiz-core.links,
    debian/source_compiz.py,
    debian/compiz-core.install:
    - install again a richer apport hook to redirect nux/libunity/unityshell
      crash. It also asks the user to redirect unity issues against unity (still
      incuding xorg info when needed)
  * Removed a bunch of patches either cherry-picked or pushed upstream. With the
    other fixes, the gconf workaround is hopefully not needed anymore.
  * refresh existing patches to still apply
  * debian/control:
    - rename dep on compiz-fusion* to compiz*
  * debian/patches/085_add_grid_plugin.patch:
    - refresh the grid plugin from new release
  * debian/patches/086_new_grid_defaults.patch
    - separate tweaking the default settings to only have the effect that were
      specified:
      top -> maximize, left (top or bottom left) -> window half left of the
      screen, right (top or bottom right) -> window half right of the screen,
      bottom -> do nothing
 -- Didier Roche <email address hidden> Thu, 24 Feb 2011 17:31:29 +0100

Changed in compiz (Ubuntu Natty):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers